"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _gatsby = require("gatsby");

var _handleLinkClick = _interopRequireDefault(require("./handleLinkClick"));

var _stripHashedLocation = _interopRequireDefault(require("./stripHashedLocation"));

var _handleStrippedLinkClick = _interopRequireDefault(require("./handleStrippedLinkClick"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) { symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); } keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(Object(source), true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(Object(source)).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var propTypes = {
  children: _propTypes["default"].node.isRequired,
  className: _propTypes["default"].string,
  gatsbyLinkProps: _propTypes["default"].shape({
    activeClassName: _propTypes["default"].string,
    activeStyle: _propTypes["default"].objectOf(_propTypes["default"].oneOfType([_propTypes["default"].number, _propTypes["default"].string])),
    onClick: _propTypes["default"].func,
    partiallyActive: _propTypes["default"].bool,
    replace: _propTypes["default"].bool,
    state: _propTypes["default"].object,
    to: _propTypes["default"].string
  }),
  onAnchorLinkClick: _propTypes["default"].func,
  stripHash: _propTypes["default"].bool,
  to: _propTypes["default"].string.isRequired
};
var defaultProps = {
  className: '',
  gatsbyLinkProps: {},
  onAnchorLinkClick: null,
  stripHash: false
};

function AnchorLink(_ref) {
  var children = _ref.children,
      _ref$className = _ref.className,
      className = _ref$className === void 0 ? '' : _ref$className,
      _ref$gatsbyLinkProps = _ref.gatsbyLinkProps,
      gatsbyLinkProps = _ref$gatsbyLinkProps === void 0 ? {} : _ref$gatsbyLinkProps,
      _ref$onAnchorLinkClic = _ref.onAnchorLinkClick,
      onAnchorLinkClick = _ref$onAnchorLinkClic === void 0 ? undefined : _ref$onAnchorLinkClic,
      _ref$stripHash = _ref.stripHash,
      stripHash = _ref$stripHash === void 0 ? false : _ref$stripHash,
      to = _ref.to;
  var handleClick = stripHash ? _handleStrippedLinkClick["default"] : _handleLinkClick["default"];

  var linkProps = _objectSpread(_objectSpread({}, gatsbyLinkProps), {}, {
    to: stripHash ? (0, _stripHashedLocation["default"])(to) : to,
    onClick: function onClick(event) {
      return handleClick(to, event, onAnchorLinkClick);
    }
  });

  if (className !== '') {
    linkProps.className = className;
  }

  return _react["default"].createElement(_gatsby.Link, linkProps, children);
}

AnchorLink.propTypes = propTypes;
AnchorLink.defaultProps = defaultProps;
var _default = AnchorLink;
exports["default"] = _default;