"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.onRouteUpdate = void 0;

var _checkHash = _interopRequireDefault(require("./checkHash"));

var _scroller = _interopRequireDefault(require("./scroller"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

var onRouteUpdate = function checkScrollOnRouteUpdate(_ref, _ref2) {
  var location = _ref.location;
  var _ref2$offset = _ref2.offset,
      offset = _ref2$offset === void 0 ? 0 : _ref2$offset,
      _ref2$duration = _ref2.duration,
      duration = _ref2$duration === void 0 ? 1000 : _ref2$duration;
  var isBrowser = typeof window !== 'undefined';
  var windowHash = isBrowser ? window.visiostoScrollHash : undefined;

  if (isBrowser) {
    window.visiostoScrollOffset = offset;
    window.visiostoScrollDuration = duration;
  }

  if (windowHash) {
    (0, _scroller["default"])(windowHash, offset);
  } else {
    (0, _checkHash["default"])(location, offset);
  }

  if (isBrowser && windowHash) {
    window.visiostoScrollHash = undefined;
  }
};

exports.onRouteUpdate = onRouteUpdate;