"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = handleStrippedLinkClick;

var _errorTypes = _interopRequireDefault(require("./errorTypes"));

var _logWarning = _interopRequireDefault(require("./logWarning"));

var _scroller = _interopRequireDefault(require("./scroller"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _slicedToArray(arr, i) { return _arrayWithHoles(arr) || _iterableToArrayLimit(arr, i) || _unsupportedIterableToArray(arr, i) || _nonIterableRest(); }

function _nonIterableRest() { throw new TypeError("Invalid attempt to destructure non-iterable instance.\nIn order to be iterable, non-array objects must have a [Symbol.iterator]() method."); }

function _unsupportedIterableToArray(o, minLen) { if (!o) return; if (typeof o === "string") return _arrayLikeToArray(o, minLen); var n = Object.prototype.toString.call(o).slice(8, -1); if (n === "Object" && o.constructor) n = o.constructor.name; if (n === "Map" || n === "Set") return Array.from(o); if (n === "Arguments" || /^(?:Ui|I)nt(?:8|16|32)(?:Clamped)?Array$/.test(n)) return _arrayLikeToArray(o, minLen); }

function _arrayLikeToArray(arr, len) { if (len == null || len > arr.length) len = arr.length; for (var i = 0, arr2 = new Array(len); i < len; i++) { arr2[i] = arr[i]; } return arr2; }

function _iterableToArrayLimit(arr, i) { var _i = arr == null ? null : typeof Symbol !== "undefined" && arr[Symbol.iterator] || arr["@@iterator"]; if (_i == null) return; var _arr = []; var _n = true; var _d = false; var _s, _e; try { for (_i = _i.call(arr); !(_n = (_s = _i.next()).done); _n = true) { _arr.push(_s.value); if (i && _arr.length === i) break; } } catch (err) { _d = true; _e = err; } finally { try { if (!_n && _i["return"] != null) _i["return"](); } finally { if (_d) throw _e; } } return _arr; }

function _arrayWithHoles(arr) { if (Array.isArray(arr)) return arr; }

function handleStrippedLinkClick(to, event, onAnchorLinkClick) {
  var improperFormatting = !to.includes('/') || !to.includes('#');

  if (improperFormatting) {
    (0, _logWarning["default"])(_errorTypes["default"].IMPROPPER_FORMATTING);
  }

  var _to$split = to.split('#'),
      _to$split2 = _slicedToArray(_to$split, 2),
      anchorPath = _to$split2[0],
      anchor = _to$split2[1];

  var isBrowser = typeof window !== 'undefined';
  var isSamePage = isBrowser && window.location.pathname === anchorPath;
  var isDifferentPage = isBrowser && window.location.pathname !== anchorPath;

  if (isSamePage) {
    event.preventDefault();
    (0, _scroller["default"])("#".concat(anchor), window.visiostoScrollOffset, window.visiostoScrollDuration);
  }

  if (isDifferentPage) {
    window.visiostoScrollHash = "#".concat(anchor);
  }

  if (onAnchorLinkClick) {
    onAnchorLinkClick();
  }
}