// Copyright (c) 2021 Visiosto oy
// Licensed under the MIT License

import checkHash from './checkHash';
import scroller from './scroller';

// Based on code by Chase Ohlson.
// Original code is available at https://github.com/brohlson/gatsby-plugin-anchor-links.

// eslint-disable-next-line import/prefer-default-export
export const onRouteUpdate = function checkScrollOnRouteUpdate(
  { location },
  { offset = 0, duration = 1000 },
) {
  const isBrowser = typeof window !== 'undefined';

  const windowHash = isBrowser ? window.visiostoScrollHash : undefined;

  if (isBrowser) {
    window.visiostoScrollOffset = offset;
    window.visiostoScrollDuration = duration;
  }

  if (windowHash) {
    scroller(windowHash, offset);
  } else {
    checkHash(location, offset);
  }

  if (isBrowser && windowHash) {
    window.visiostoScrollHash = undefined;
  }
};
